﻿using System.Collections.Generic;
using Xamarin.Forms;

namespace TestingSampleForms
{
    public partial class TestingSampleFormsPage : ContentPage
    {
        public TestingSampleFormsPage()
        {
            InitializeComponent();
            var vm = new TestViewModel();
            BindingContext = vm;
        }
    }

    public class TestViewModel
    {
        public TestViewModel()
        {
            People = new List<Person>();
            for ( int i = 0; i < 10; i++ )
            {
                People.Add( new Person {Surname = "Surname" + i, Othername = "Othername" + i } );
            }
        }
        public List<Person> People { get; set; } 
    }

    public class Person
    {
        public string Surname { get; set; }

        public string Othername { get; set; }
    }
}

